com.aliyun.svideosdk.common.struct.effect

## Class ActionWipe

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.ActionBase
  - - com.aliyun.svideosdk.common.struct.effect.ActionWipe

-     public class ActionWipe
      extends ActionBase

  擦出动画

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.effect.ActionBase

      `ActionBase.Interpolator, ActionBase.PartParam, ActionBase.RepeatMode, ActionBase.Scope, ActionBase.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIRECTION_BOTTOM` 从下向上擦除
    `static int` | `DIRECTION_LEFT` 从左向右擦除
    `static int` | `DIRECTION_RIGHT` 从右向左擦除
    `static int` | `DIRECTION_TOP` 从上向下擦除
    `protected int` | `mDirection` 擦除方向
    `protected int` | `mWipeMode` 擦除方式，渐隐还是渐现
    `static int` | `WIPE_MODE_APPEAR` 擦除显示，从无到有
    `static int` | `WIPE_MODE_DISAPPEAR` 擦除消失，从有到无

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.ActionBase

      `mAnimationConfig, mDuration, mFillAfter, mFillBefore, mId, mInterpolatorType, mIsStream, mPartParam, mRepeatCount, mRepeatMode, mScope, mStartOffset, mTargetId, mTimelineIn, mTimelineOut, mType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionWipe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDirection()` 获取擦除方向
    `int` | `getWipeMode()` 获取擦除模式 `WIPE_MODE_APPEAR` 擦除显示或者`WIPE_MODE_DISAPPEAR`擦除消失
    `void` | `setAnimationConfig(java.lang.String animationConfig)` 自定义动画的配置脚本，开发者可以自行配置每种动画在每一个时间刻度的具体动画值，以实现各种各样的变换速度 配置脚本的格式是采用键值对，是以分号"；"为间隔的键值对列表，键就是时间刻度，值则分单值和双值，比如旋转角度这种只需要描述角度值， 则使用单值，而像位移、缩放这种，需要x，y的值，则使用双值，双值的两个值之间用逗号"，"间隔，键和值之间以冒号"："间隔。 举例：旋转角度变化的"0.0:0.123;0.1:0.245;0.3:0.798"。 位移变化的"0.0:0.234,1.47;0.1:2.3,4.565;0.2:3.45,6.78"
    `void` | `setDirection(int direction)` 设置擦出方向
    `void` | `setWipeMode(int wipeMode)` 设置擦除模式

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.ActionBase

      `equals, getAnimationConfig, getDuration, getDuration, getId, getResId, getStartTime, getStartTime, getTargetId, getTimelineIn, getTimelineOut, getType, isStream, setDuration, setDuration, setFillAfter, setFillBefore, setId, setInterpolatorType, setIsStream, setPartParam, setRepeatCount, setRepeatMode, setResId, setScope, setStartOffset, setStartTime, setStartTime, setTargetId, setTimelineIn, setTimelineOut, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIRECTION_LEFT

          public static final int DIRECTION_LEFT

      从左向右擦除
      See Also:
        Constant Field Values

    - #### DIRECTION_TOP

          public static final int DIRECTION_TOP

      从上向下擦除
      See Also:
        Constant Field Values

    - #### DIRECTION_RIGHT

          public static final int DIRECTION_RIGHT

      从右向左擦除
      See Also:
        Constant Field Values

    - #### DIRECTION_BOTTOM

          public static final int DIRECTION_BOTTOM

      从下向上擦除
      See Also:
        Constant Field Values

    - #### WIPE_MODE_APPEAR

          public static final int WIPE_MODE_APPEAR

      擦除显示，从无到有
      See Also:
        Constant Field Values

    - #### WIPE_MODE_DISAPPEAR

          public static final int WIPE_MODE_DISAPPEAR

      擦除消失，从有到无
      See Also:
        Constant Field Values

    - #### mDirection

          protected int mDirection

      擦除方向

    - #### mWipeMode

          protected int mWipeMode

      擦除方式，渐隐还是渐现

  - ### Constructor Detail

    - #### ActionWipe

          public ActionWipe()

  - ### Method Detail

    - #### getDirection

          public int getDirection()

      获取擦除方向
      Returns:
        方向值
      See Also:
        `DIRECTION_LEFT`, `DIRECTION_TOP`, `DIRECTION_RIGHT`, `DIRECTION_BOTTOM`

    - #### setDirection

          public void setDirection(int direction)

      设置擦出方向
      Parameters:
        `direction` -
      See Also:
        `DIRECTION_LEFT`, `DIRECTION_TOP`, `DIRECTION_RIGHT`, `DIRECTION_BOTTOM`

    - #### getWipeMode

          public int getWipeMode()

      获取擦除模式 `WIPE_MODE_APPEAR` 擦除显示或者`WIPE_MODE_DISAPPEAR`擦除消失
      Returns:
        擦除模式

    - #### setWipeMode

          public void setWipeMode(int wipeMode)

      设置擦除模式
      Parameters:
        `wipeMode` - `WIPE_MODE_APPEAR` 擦除显示或者`WIPE_MODE_DISAPPEAR`擦除消失

    - #### setAnimationConfig

          public void setAnimationConfig(java.lang.String animationConfig)

      Description copied from class: `ActionBase`

           自定义动画的配置脚本，开发者可以自行配置每种动画在每一个时间刻度的具体动画值，以实现各种各样的变换速度
           配置脚本的格式是采用键值对，是以分号"；"为间隔的键值对列表，键就是时间刻度，值则分单值和双值，比如旋转角度这种只需要描述角度值，
           则使用单值，而像位移、缩放这种，需要x，y的值，则使用双值，双值的两个值之间用逗号"，"间隔，键和值之间以冒号"："间隔。
           举例：旋转角度变化的"0.0:0.123;0.1:0.245;0.3:0.798"。
           位移变化的"0.0:0.234,1.47;0.1:2.3,4.565;0.2:3.45,6.78"

      Overrides:
        `setAnimationConfig` in class `ActionBase`
      Parameters:
        `animationConfig` - 配置脚本